diff -urN config.orig/config.guess config/config.guess
--- config.orig/config.guess	Thu Jan 13 20:37:22 2000
+++ config/config.guess	Thu Jan 13 20:37:13 2000
@@ -564,6 +564,7 @@
 	  armlinux)   echo "${UNAME_MACHINE}-unknown-linux-gnuaout" ; exit 0 ;;
 	  m68klinux)  echo "${UNAME_MACHINE}-unknown-linux-gnuaout" ; exit 0 ;;
 	  elf32ppc)   echo "powerpc-unknown-linux-gnu"              ; exit 0 ;;
+	  elf_s390)   echo "s390-ibm-linux-gnu"                     ; exit 0 ;;
 	esac
 
 	if test "${UNAME_MACHINE}" = "alpha" ; then
diff -urN config.orig/config.sub config/config.sub
--- config.orig/config.sub	Thu Jan 13 20:37:34 2000
+++ config/config.sub	Thu Jan 13 20:37:06 2000
@@ -356,7 +356,11 @@
 #  Linkname: Mortice Kern Systems (MKS) Inc. - OS/390 OpenEdition -- GNU Utilities Downloads
 #       URL: http://www.mks.com/s390/gnu/download.htm#autoconf
 		basic_machine=s390-ibm  #  /* S/390 -- gil -- 1419 */
-		os=-os390
+		if [ x$os = x-linux-gnu ] ; then
+		    os=-linux-gnu
+		else
+		    os=-os390
+		fi
 		;;
 # I'm not sure what "Sysv32" means.  Should this be sysv3.2?
 	i[34567]86v32)
